# Packmangroup: Libraries
# Packmanpackagename: divx4linux
# Packman: Manfred Tremmel

%define name    divx4linux
%define version 20030428
%define release 0.pm.0

Name:           %{name}
Summary:        DivX4Linux Libraries
Summary(de):    DivX4Linux Bibliothek
Version:        %{version}
Release:        %{release}
License:        see license.txt
Group:          Misc
URL:            http://www.divx.com/

Source0:        divx4linux-std-20030428.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
Prefix:         %{_prefix}
Autoreqprov:    On
Provides:       libdivxdecore.so.0 libdivxencore.so.0
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This archive includes binary release of DivX Codec
for x86 Linux.

%description -l de
Dieses Paket enthält die Closed Source DivX Codecs für
Linux mit x86 Prozessoren.

%prep

%setup

%build

%install
[ "${RPM_BUILD_ROOT}" = "/var/tmp/%{name}-%{version}-%{release}" ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
install -m 644 *.h ${RPM_BUILD_ROOT}%{_includedir}
install -m 644 *.so ${RPM_BUILD_ROOT}%{_libdir}
cd ${RPM_BUILD_ROOT}%{_libdir}
ln -sf libdivxdecore.so libdivxdecore.so.0
ln -sf libdivxencore.so libdivxencore.so.0
cd -

%clean
[ "${RPM_BUILD_ROOT}" = "/var/tmp/%{name}-%{version}-%{release}" ] && rm -rf ${RPM_BUILD_ROOT};

%post
echo -e "refresh library cache"
ldconfig

%files
%defattr(-, root, root)
%doc *.htm
%{_includedir}/*.h
%{_libdir}/*.so*

%changelog
* Mon Jun 02 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- updated version to 5.0.5
* Sun May 5 2002 Henne Vogelsang <henne@links2linux.de>
- updated version to DivX5
* Mon Nov 5 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- version from divx4.com works with xine
* Sun Oct 23 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- first release

